KIWIX(1)

NAME
kiwix-serve - Serveur Web Kiwix

SYNOPSIS
kiwix-serve [--index=INDEX_PATH] [--port=PORT] [--verbose] [--daemon] [--attachToProcess=PID] ZIM_PATH
kiwix-serve --library [--port=PORT] [--verbose] [--daemon] [--attachToProcess=PID] LIBRARY_PATH

DESCRIPTION

Serveur Web (HTTP) autonome pour diffuser des contenus ZIM sur le réseau.

--index=INDEX_PATH
    Chemin vers l'index plein text du fichier ZIM.

--port=PORT
    Port sur lequel le serveur doit écouter.
    Par défaut, le serveur écoute sur le port 80.

--verbose
    Active le mode verbeux de la sortie.

--daemon
    Execute le serveur en mode démon.

--attachToProcess=PID
    Arrêter le serveur lorsque que le processus PID meurt.

ZIM_PATH
    Chemin vers le fichier ZIM à diffuser.
    Obligatoire en dehors du mode bibliothèque.

--library
    Active le mode bibliothèque.
    Sert les contenus d'une bibliothèque Kiwix au lieu d'un seul fichier ZIM.

LIBRARY_PATH
    Chemin vers le fichier bibliothèque de Kiwix.
    Le fichier bibliothèque est un fichier XML créé avec kiwix-manage.

SEE ALSO
kiwix(1) kiwix-manage(1)
kiwix-install(1)

AUTHOR
Emmanuel Engelhart <kelson@kiwix.org>
Vasudev Kamath <kamathvasudev@gmail.com> (Manual)